/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _PLAYLIST_H_
#define _PLAYLIST_H_

#include "playlistbase.h"

class PlaylistItem;
class QListViewItem;
class Core;

class Playlist : public PlaylistBase
{
	Q_OBJECT

public:
	Playlist( Core *c, QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~Playlist();

public slots:
	void clear();

	void addItem(int pos, QString filename, QString name, float duration);

	void playItem(int n);

	virtual void playNext();
	virtual void playPrev();

    virtual void load();
    virtual void save();

protected:
	virtual PlaylistItem * itemAt( int n );
	virtual void load_m3u(QString file);
	virtual void save_m3u(QString file);

protected slots:
	virtual void itemClicked(QListViewItem*);//,const QPoint &, int);

protected:
	Core * core;
	int current_item;
};

#endif

